Skip to main content
Producer allows us to upload reference audio for secondary creation. This document explains the integration method of the related API. This API has only one input parameter, which is audio_url, a publicly accessible CDN address that supports the mp3 suffix. The audio_url we input is https://cdn.acedata.cloud/suno_demo.mp3, which is a publicly accessible CDN address.
curl -X POST 'https://api.acedata.cloud/producer/upload' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_url": "https://cdn.acedata.cloud/suno_demo.mp3"
}'
The result is as follows:
{
  "success": true,
  "task_id": "23e7d4ec-d1a8-429f-87d8-9f53fc3b6666",
  "data": {
    "audio_id": "d906da31-87cb-42f5-98df-2fc4969923b1",
    "lyric": "[Mandopop, Acoustic Pop]\n[Soft female vocals, bright and cheerful]\n\n[Verse 1]\nThe sunlight shines on the beach\nThe waves laugh brightly\nYou and I on the sand\nThe clock stops ticking\nThe ice cream is melting\nHand in hand for a walk\nThe wind gently blows\nThe heartbeat keeps beating\n\n[Chorus]\nSummer summer\nTime stops on this day\nLaughter echoes\nThe blue sky is beside us",
    "audio_url": "https://storage.googleapis.com/corpusant-app-public/producer/raw/d906da31-87cb-42f5-98df-2fc4969923b1.mp3"
  }
}
As can be seen, the audio_id field in data is the song ID after uploading. With the song ID, we can use the Producer Audios Generation API to generate custom songs. For example, by passing action as upload_extend and audio_id as the returned song ID, we can generate a new song based on the reference audio.